Bug 450089 - fails with message libssl.so.6 missing
fails with message libssl.so.6 missing
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: stunnel (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 06:08 EDT by Martin Ellison
Modified: 2008-06-05 13:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-05 13:32:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Ellison 2008-06-05 06:08:45 EDT
Description of problem: Fails with message 
stunnel: error while loading shared libraries: libssl.so.6: cannot open shared
object file: No such file or directory

Version-Release number of selected component (if applicable):
rpm -q stunnel
stunnel-4.20-4.x86_64
stunnel-4.22-1.x86_64

How reproducible:
Consistent

Steps to Reproduce:
1. type stunnel at command line
  
Actual results:
Error message (see above)

Expected results:
runs normally

Additional info: See also bug 450087, deluge has the same error. Also yum will
not update stunnel because of a dependency problem on libssl.
Comment 1 Miloslav Trmač 2008-06-05 12:32:13 EDT
Thanks for your report.

You appear to have both F8 and F9 stunnel "installed", this looks like a failed
upgrade.  Please fix your system to have only one stunnel and openssl package
(or at most one package for each architecture) and to report no unexpected
changes in (rpm -V stunnel openssl).

If the problems persist, please reopen this bug report.
Comment 2 Martin Ellison 2008-06-05 12:57:06 EDT
yum erase stunnel 
-> removed both versions
yum install stunnel
Error: Missing Dependency: libssl.so.6()(64bit) is needed by package
stunnel-4.24-0.fc8.x86_64 (updates)
Error: Missing Dependency: libcrypto.so.6()(64bit) is needed by package
stunnel-4.24-0.fc8.x86_64 (updates)

Presumably there is no f9 stunnel in the repository yet.
Comment 3 Miloslav Trmač 2008-06-05 13:10:37 EDT
Fedora 9 was released, so stunnel is in the repositories:

$ yum info stunnel-4.22
...
Name       : stunnel
Arch       : i386
Version    : 4.22
Release    : 1
Size       : 125 k
Repo       : fedora

$ yum info stunnel-4.24
...
Name       : stunnel
Arch       : i386
Version    : 4.24
Release    : 1.fc9
Size       : 126 k
Repo       : updates

At minimum, your yum configuration does not point to Fedora 9 updates.  There
might be other problems with it.
Comment 4 Martin Ellison 2008-06-05 13:19:19 EDT
The ticket relates to the x86_64 architecture:
Name       : stunnel
Arch       : x86_64
Version    : 4.24
Release    : 0.fc8
Size       : 125 k
Repo       : updates
Please don not close tickets until the problem has been fixed.
Comment 5 Miloslav Trmač 2008-06-05 13:32:10 EDT
Your yum configuration still does not point to Fedora 9 updates:

ftp://sunsite.ms.mff.cuni.cz/pub/fedora/updates/9/x86_64/stunnel-4.24-1.fc9.x86_64.rpm
was published on May 27, for example.

What you are experiencing is an incorrectly updated system in inconsistent
state, not a bug in stunnel.  Please use the Fedora mailing list, forum or IRC
to ask for help; see http://fedoraproject.org/wiki/Communicate for more
information; you can not get help on upgrading your system by reporting a
stunnel bug.

If this state was created by upgrading using anaconda, please reassign the bug
to anaconda.  Otherwise, please fix your system to have only one stunnel and
openssl package (or at most one package for each architecture) and to report no
unexpected changes in (rpm -V stunnel openssl) before reopening this bug report.

Note You need to log in before you can comment on or make changes to this bug.